from flask import Blueprint

api_bp = Blueprint('api', __name__, url_prefix='/telezab/rest/api')

from .regions import region_bp
from .users import users_bp
from .systems import system_bp
from .notifications import notification_bp

# Регистрируем вложенные блюпринты с url_prefix
api_bp.register_blueprint(region_bp, url_prefix='/regions')
api_bp.register_blueprint(users_bp, url_prefix='/users')
api_bp.register_blueprint(system_bp, url_prefix='/systems')
api_bp.register_blueprint(notification_bp, url_prefix='/notifications')
